| Home | Libraries | People | FAQ | More

## Function template spreadsort

boost::sort::spreadsort::spreadsort — Generic `spreadsort` variant detects value_type and calls required sort function.

## Synopsis

    // In header: <boost/sort/spreadsort/spreadsort.hpp>

    template<typename Range> void spreadsort(Range & range);

## Description

| Note
Sorting other data types requires picking between `integer_sort`, `float_sort` and `string_sort` directly, as `spreadsort` won't accept types that don't have the appropriate `type_traits`.

Parameters: |
`range` | Range [first, last) for sorting.
Requires: | [`first`, `last`) is a valid range.
Postconditions: | The elements in the range [`first`, `last`) are sorted in ascending order.